<?
if (!$id) msg("Персонаж не найден!");
if (!isset($player["msg"][$id])) msg("Персонаж не найден!");
if ( !$HTTP_POST_VARS["text"] ) msg("Нет текста для отправки");
$text = $HTTP_POST_VARS["text"];
$text=substr($text,0,260);
$text=strip_tags($text);
$text=str_replace("+"," ",$text);
$text=str_replace("&","",$text);
$text=str_replace("#","",$text);
$text=str_replace('$','',$text);
$fnum23=fopen("data/msg.dat","a+t");
$stroka23=">".$login." to ".$id.": ".$text."\n";
$stroka23=str_replace("user.","",$stroka23);
fputs($fnum23,$stroka23);
fclose($fnum23);
///---///
$plays = implode('',file('users/'.$id.'.dat'));
$plays = unserialize($plays);
if (isset($game["players"][$id])) {
if (!isset($game["loc"][$game["players"][$id]][$id]["msg"][$login])) msg("Вы не добавлены в контакты у ".$game["loc"][$game["players"][$id]][$id]["title"]);
}else{
if (!isset($plays[$login]["msg"])) msg("На данный момент функция писать оффлайн не работает...");
}
if (isset($game["players"][$id])) {
if ($game["loc"][$game["players"][$id]][$id]["msg"][$login]) $game["loc"][$game["players"][$id]][$id]["msg"][$login].="<br/>";
$game["loc"][$game["players"][$id]][$id]["msg"][$login].="[".date("d.m H:i")."] ".strip_tags($text);
}else{

if ($game["loc"]["loc.offline"][$id]["msg"][$login]) $game["loc"]["loc.offline"][$id]["msg"][$login].="<br/>";
$plays["msg"][$login].="[".date("d.m H:i")."] ".strip_tags($text);
$f=fopen("users/$id.dat", "w+");
fwrite($f, serialize($plays));
fclose($f);
}
$stmp="Сообщение  ".$game["loc"][$player["loc"]][$id]["title"]." отправлено\n<br/><a href=\"$PHP_SELF?sid=$sid&msg=1\">Контакты</a>";
?>